Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 163962 - VIA-Rhine driver calls mdelay in IRQ handler
VIA-Rhine driver calls mdelay in IRQ handler
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 09:55 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 14:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-rhine-mdelay.patch (2.96 KB, patch)
2005-09-19 14:18 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-07-22 09:55:53 EDT
With kernel 2.6.9-6.37.EL, unplugging a via-rhine network card spews in the
kernel messages:

Badness in rhine_disable_linkmon at drivers/net/via-rhine.c:1140
[<d08d6ca0>] rhine_disable_linkmon+0x58/0x103 [via_rhine]
[<d08d6d62>] mdio_read+0x17/0x84 [via_rhine]
[<d088a270>] mii_link_ok+0x10/0x27 [mii]
[<d088a354>] mii_check_media+0x2c/0x164 [mii]
[<d08d6b5d>] rhine_check_media+0x1d/0x3d [via_rhine]
[<d08d7cf6>] rhine_error+0xab/0x241 [via_rhine]
[<d08d7474>] rhine_interrupt+0xf9/0x165 [via_rhine]
[<c0107cdf>] handle_IRQ_event+0x25/0x4f
[<c0108619>] do_IRQ+0x11c/0x242
[<c0303938>] common_interrupt+0x18/0x20
[<c010403b>] default_idle+0x23/0x26
[<c010408c>] cpu_idle+0x1f/0x34
[<c03a96b4>] start_kernel+0x20f/0x211 


Line 1140 is "mdelay(1);"
Comment 2 John W. Linville 2005-09-19 14:18:25 EDT
Created attachment 118996 [details]
jwltest-rhine-mdelay.patch
Comment 3 John W. Linville 2005-09-19 16:29:35 EDT
Test kernels w/ the above patch available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please give them a try and post your results...thanks! 
 
BTW, I have no via-rhine hardware, so your test results are _very_ 
important... :-) 
Comment 4 John W. Linville 2005-09-19 16:54:34 EDT
Belay that...build issue...will let you know when to restart testing...thanks! 
Comment 5 John W. Linville 2005-09-20 10:09:49 EDT
OK, the kernels at the location from comment 3 are now suitable for 
testing...thanks! 
Comment 6 John W. Linville 2005-10-07 15:51:32 EDT
I wrote this patch just for you...I would appreciate some feedback... :-) 
 
Seriously, I have no via-rhine hardware.  If you could just let me know 
whether or not the patch in question behaves satisfactorily in general (i.e. a 
"smoke test"), I'd appreciate it. 
Comment 7 John W. Linville 2005-11-01 14:06:51 EST
The patch has been posted upstream.  Hopefully it will filter into Fedora 
soon... 

Note You need to log in before you can comment on or make changes to this bug.